summaryrefslogtreecommitdiffstats
path: root/X11/xsession
diff options
context:
space:
mode:
Diffstat (limited to 'X11/xsession')
-rwxr-xr-xX11/xsession23
1 files changed, 23 insertions, 0 deletions
diff --git a/X11/xsession b/X11/xsession
new file mode 100755
index 0000000..0a448bf
--- /dev/null
+++ b/X11/xsession
@@ -0,0 +1,23 @@
+#!/bin/sh
+
+set -m
+atexit() {
+ kill -TERM -- -$$ $(printf "-%s " $(jobs -p))
+}
+
+trap 'atexit' EXIT
+
+xrandr --dpi 96
+unclutter &
+sct 4200
+xsetroot -solid "black"
+xidle -delay 5 -nw -program "/usr/X11R6/bin/xlock -dpmsstandby 5" -timeout 600 &
+setxkbmap -layout us -variant altgr-intl -option caps:escape -option compose:altgr -option terminate:ctrl_alt_bksp
+export QT_QPA_PLATFORMTHEME=qt5ct
+. $HOME/.profile
+xrdb -load $HOME/.config/X11/defaults
+xset b off
+#exec cwm -c $HOME/.config/cwm/cwmrc
+exec sxhkd &
+#urxvtd -q -f -o &
+exec bspwm
Un proyecto texto-plano.xyz